﻿// Скрипт закрывает все открытые документы.
// Выполняет или не выполняет save в зависимости от выбора пользователя
// Предупреждает о наличии ни разу не сохранявшихся (saved!=true) документов.
// Alexey "Ygli" Stukun (st_verstka@mail.ru).

try {
    var myDoc = app.activeDocument;
    } catch (error) {
        alert("No documents are open.");
        exit();
        }
    
//~ if (app.documents.length == 0){
//~     alert("No documents are open.");
//~     exit();
//~     }

var myDialog = app.dialogs.add({name:"All documents ("+app.documents.length+") will be closed.", canCansel:true});
with (myDialog) {
  with (dialogColumns.add()) {
    var mySelectBox = checkboxControls.add({staticLabel:"Save all.", checkedState:true, minWidth:130});
    }
  }

var myDisplay = myDialog.show();
if (myDisplay) {
 var mySelect = mySelectBox.checkedState;
 if (mySelect != false) {
  while (app.documents.length > 0) {
  var myDoc = app.activeDocument;
  if (myDoc.saved != false) {
    myDoc.close(SaveOptions.yes); 
    } else { 
    myExit(); 
    }
  }
 } else { 
  while (app.documents.length > 0) {
  var myDoc = app.activeDocument;
	if (myDoc.saved != false) {
    myDoc.close(SaveOptions.no); 
    } else { 
    myExit(); 
    }
  }
 }
}
  
function myExit() {
  alert ("Please save or close unsaved documents before you'll run this script.");
  exit ();
  }